name: build pdf
on: push

jobs:
  build:
    runs-on: macos

    steps:
      - name: Check out the repository
        uses: http://localhost:3000/sxlxc/checkout@v4

      - name: Compile LaTeX using local TeX Live
        run: |
          echo "Compiling document..."
          latexmk -pdf notes.tex

      - uses: http://localhost:3000/sxlxc/gitea-release-action@v1
        with:
          body: ''
          name: PDF
          token: ${{ secrets.RELEASE_TOKEN }}
          tag_name: latest
          files: |-
            ./*.pdf
